---
lang: en
title: 'API docs: rest.restserver._handlehttprequest'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restserver._handlehttprequest.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestServer](./rest.restserver.md) &gt; [\_handleHttpRequest](./rest.restserver._handlehttprequest.md)

## RestServer.\_handleHttpRequest() method

<b>Signature:</b>

```typescript
protected _handleHttpRequest(request: Request, response: Response): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  request | <code>Request</code> |  |
|  response | <code>Response</code> |  |

<b>Returns:</b>

`Promise<void>`


